GET
Get order by ID
Lookup order information by order number using hybrid tables (logistics.orders + logistics.shipments) for sub-200ms queries with live CHR shipment tracking data. Use the fields parameter to control which data is returned and manage PII exposure.
path Parameters
idThe order number to look up.
query Parameters
fieldsComma-separated list of fields to include in the response. Use '*' or omit for all fields. Supports dot notation for nested fields (e.g., 'soldTo.name', 'shipTo.street'). Examples: 'orderNumber,purchaseOrderNumber,shipments' or 'orderNumber,soldTo.name,shipTo.name,shipTo.street'.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get order by ID › Responses
Successful order lookup
successWhether the request was successful
Order information from hybrid tables (logistics.orders + logistics.shipments)
Search orders by customer PO
Search for orders by customer purchase order number (po) using hybrid tables for sub-200ms queries with live CHR shipment tracking data. Use the fields parameter to control which data is returned and manage PII exposure. To search by order number, use GET /orders/v1.2/{id} instead.
query Parameters
poThe customer purchase order number to search for.
fieldsComma-separated list of fields to include in the response. Use '*' or omit for all fields. Supports dot notation for nested fields (e.g., 'soldTo.name', 'shipTo.street'). Examples: 'orderNumber,purchaseOrderNumber,shipments' or 'orderNumber,soldTo.name,shipTo.name,shipTo.street'.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Search orders by customer PO › Responses
Successful order lookup
successWhether the request was successful
Order information from hybrid tables (logistics.orders + logistics.shipments)